# rabbitmq_vhost_limits – Manage the state of virtual host limits in RabbitMQ

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- This module sets/clears certain limits on a virtual host.
- The configurable limits are max_connections and max-queues.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
max_connections - | Default: -1 | Max number of concurrent client connections. Negative value means "no limit". Ignored when the state is `absent`.
max_queues - | Default: -1 | Max number of queues. Negative value means "no limit". Ignored when the state is `absent`.
node - |  | Name of the RabbitMQ Erlang node to manage.

state
-

Choices:
- present ←
- absent

Specify whether the limits are to be set or cleared.
If set to `absent`, the limits of both max_connections and max-queues will be cleared.

vhost - | Default: "/" | Name of the virtual host to manage.

## Examples

    # Limit both of the max number of connections and queues on the vhost '/'.
    - rabbitmq_vhost_limits:
        vhost: /
        max_connections: 64
        max_queues: 256
        state: present

    # Limit the max number of connections on the vhost '/'.
    # This task implicitly clears the max number of queues limit using default value: -1.
    - rabbitmq_vhost_limits:
        vhost: /
        max_connections: 64
        state: present

    # Clear the limits on the vhost '/'.
    - rabbitmq_vhost_limits:
        vhost: /
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Hiroyuki Matsuo (@h-matsuo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.